unit folder;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, Buttons;

type
  TfrmFolder = class(TForm)
    Label1: TLabel;
    edFolderName: TEdit;
    Folders: TDirectoryListBox;
    Label2: TLabel;
    Label3: TLabel;
    DriveComboBox1: TDriveComboBox;
    btnOk: TBitBtn;
    btnCancel: TBitBtn;
    procedure FoldersChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmFolder: TfrmFolder;

function GetFolder: string;

implementation

{$R *.DFM}

function GetFolder: string;
begin
  frmFolder := TfrmFolder.Create(Application);
  Result := '';
  If frmFolder.ShowModal = mrOk Then
    Result := frmFolder.edFolderName.Text;
  frmFolder.Free;
end;

procedure TfrmFolder.FoldersChange(Sender: TObject);
begin
  edFolderName.Text := Folders.Directory;
end;

procedure TfrmFolder.FormCreate(Sender: TObject);
begin
  edFolderName.Text := Folders.Directory;
end;

end.
